function [i, q]=Brainwebread(am,ai)
% get address of the files downloaded from Brainweb website
% http://www.cma.mgh.harvard.edu/ibsr/
% and return matrix representing image and ground truth segmentation
% am is address of manual segmented image. For example 'C:\'
% ai is address of input image. For example 'C:\'
% i is a 3D matrix representing Brainweb image
% q is manual segmented image
f=fopen([am 'phantom_1.0mm_normal_crisp.rawb']);
a=fread(f);
q=reshape(a,181,217,181);
mask=((q==1) | (q==2) |(q==3) |(q==8));
q=(q==1 ).*50+(q==2 | q==8).*100+(q==3)*150;
f=fopen([ai 't1_icbm_normal_1mm_pn9_rf0.rawb']); %'t1_icbm_normal_1mm_pn7_rf0.rawb' or ...
a=fread(f);
i=reshape(a,181,217,181);
i=mask.*i;
imshow(uint8(q(:,:,20)));
figure,imshow(uint8(i(:,:,20)));